Author Topic: I need some help  (Read 1241 times)

Offline Atutouato

  • Bot Neophyte
  • *
  • Posts: 5
    • View Profile
I need some help
« on: March 24, 2013, 03:38:54 PM »
I'm pretty new to DarwinBots, and I need some help.
I made a pretty good (in my opinion) bot called LeechBot, but when I load it into DarwinBots, it interprets its genes as one big comment!
I'm running this on Ubuntu Linux, and I've done all the instructions for installing it in Linux.
The weird thing is, pre-packaged bots (like the ones in the tutorial zip I downloaded) work fine.
I've tried everything, but nothing works.
Please help!
P.S. Please make comments on my code to help make it better if you can, please.  Thanks!  :D
« Last Edit: March 24, 2013, 04:24:32 PM by Atutouato »

Offline Tilthanseco

  • Bot Builder
  • **
  • Posts: 60
    • View Profile
Re: I need some help
« Reply #1 on: March 24, 2013, 04:57:15 PM »
Hola Atutouato,

Your problem is very simple, darwinbots reads dna files with windows line ending style and your file is in the unix style.
So to fix your problem, simply open the file in a program that supports both, i.e. gedit or emacs, and save the file using the windows line ending.
Here is a link with more information http://ubuntugenius.wordpress.com/2010/10/26/creating-windows-text-files-in-ubuntu-how-to-save-as-ms-dos-end-of-line-in-gedit/

As for your code, I would suggest you reverse the order of your vision genes, that way it worries about the things in front of it, or use a different vision system, just play around with it.
Also your missing reproduction unless you want it like that.

Here's a file that should have the line ending fix, no dna fixes though.
Undisputed creator of bot Sonar!

Offline Atutouato

  • Bot Neophyte
  • *
  • Posts: 5
    • View Profile
Re: I need some help
« Reply #2 on: March 24, 2013, 07:13:55 PM »
You really helped!
Thanks for commenting on the code. :D
I'll get right to work!
Thanks!

Offline Botsareus

  • Society makes it all backwards - there is a good reason for that
  • Bot God
  • *****
  • Posts: 4483
    • View Profile
    • DJ Paul Kononov
Re: I need some help
« Reply #3 on: March 25, 2013, 02:25:03 PM »
 :unsure: I feel like there is a trend going on, why are people still using 2.45.01 and not 2.45.02 by default?